petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerMatlabOpen

Opens a Matlab .mat file for output

### Synopsis

    PetscErrorCode  PetscViewerMatlabOpen(MPI_Comm comm,const char name[],PetscFileMode type,PetscViewer *binv)

Collective on MPI_Comm

### Input Parameters

| comm | - MPI communicator
| name | - name of file
| type | - type of file

       FILE_MODE_WRITE - create new file for MATLAB output

       FILE_MODE_READ - open existing file for MATLAB input

       FILE_MODE_WRITE - open existing file for MATLAB output

### Output Parameter

binv -PetscViewer for MATLAB output to use with the specified file

Note: This PetscViewer should be destroyed with PetscViewerDestroy().

For writing files it only opens the file on processor 0 in the communicator.

This only saves Vecs it cannot be used to save Mats. We recommend using the PETSCVIEWERBINARY to save objects to be loaded into MATLAB instead of this routine.

### See Also

PetscViewerASCIIOpen(), PetscViewerPushFormat(), PetscViewerDestroy(), PETSCVIEWERBINARY, PetscViewerBinaryOpen()
VecView(), MatView(), VecLoad(), MatLoad()

### Level

beginner

### Location

src/sys/classes/viewer/impls/matlab/vmatlab.c

### Examples

src/dm/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex30.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages